# Course

Defaults and policies that apply to courses across the platform — visibility, creation rights, allowed tools, learner permissions, and similar.

Access these settings under **Administration > Configuration settings > Course**. This category contains **45 settings**, listed below with the title and comment shipped in the platform's settings fixtures (`SettingsCurrentFixtures.php`).

> The variable name in code is shown in monospace. Use it when scripting via the API or when you need to change those settings at a global level by editing [`config/settings_override.yaml`](https://github.com/chamilo/chamilo-lms/wiki/Configurations#configsettings_overridesyaml).

## Settings

### `active_tools_on_create`

**Active tools on course creation**

Select the tools that will be *active* after the creation of a course.

*Default:*

```
agenda,announcement,attendance,bbb,blog,chat,course_description,course_progress,customcertificate,document,dropbox,forum,global,glossary,gradebook,group,learnpath,link,mobidico,notebook,notebookteacher,portfolio,positioning,quiz,student_publication,survey,test2pdf,tracking,user,wiki,zoom
```

### `allow_base_course_category`

**Use course categories from top URL**

In multi-URL settings, allow admins and teachers to assign categories from the top URL to courses in the children URLs.

*Default: `false`*

### `allow_course_theme`

**Allow course themes**

Allows course graphical themes and makes it possible to change the style sheet used by a course to any of the possible style sheets available to Chamilo. When a user enters the course, the style sheet of the course will have priority over the user's own style sheet and the platform's default style sheet.

*Default: `true`*

### `allow_public_course_with_no_terms_conditions`

**Access public courses with terms and conditions**

With this option enabled, if a course has public visibility and terms and conditions, those terms are disabled while the course is public.

*Default: `false`*

### `block_registered_users_access_to_open_course_contents`

**Block public courses access to authenticated users**

Only show public courses. Do not allow registered users to access courses with 'open' visibility unless they are subscribed to each of these courses.

*Default: `false`*

### `breadcrumbs_course_homepage`

**Course homepage breadcrumb**

The breadcrumb is the horizontal links navigation system usually in the top left of your page. This option selects what you want to appear in the breadcrumb on courses' homepages

*Default: `course_title`*

### `course_about_teacher_name_hide`

**Hide course teacher info on course details page**

On the course details page, hide the teacher information.

*Default: `false`*

### `course_category_code_to_use_as_model`

**Restrict course templates to one course category**

Give a category code to use as course templates. Only those courses will show in the drop-down at course creation time, and users won’t see the courses in this category from the courses catalogue.

### `course_configuration_tool_extra_fields_to_show_and_edit`

**Extra fields to show in course settings**

The fields defined in this array will appear on the course settings page.

### `course_creation_by_teacher_extra_fields_to_show`

**Extra fields to show on course creation form**

The fields defined in this array will appear as additional fields in the course creation form.

### `course_creation_donate_link`

**Donation link on course creation page**

The page the donation message should link to (full URL).

### `course_creation_donate_message_show`

**Show donate message on course creation page**

Add a message box in the course creation page for teachers, asking them to donate to the project.

*Default: `false`*

### `course_creation_form_hide_course_code`

**Remove course code field from course creation form**

If not provided, the course code is generated by default based on the course title, so enable this option to remove the code field from the course creation form altogether.

*Default: `false`*

### `course_creation_form_set_course_category_mandatory`

**Set course category mandatory**

When creating a course, make the course category a required setting.

*Default: `false`*

### `course_creation_form_set_extra_fields_mandatory`

**Extra fields to require on course creation form**

The fields defined in this array will be mandatory in the course creation form.

### `course_creation_splash_screen`

**Splash screen for courses**

Show a splash screen when creating a new course.

*Default: `true`*

### `course_creation_use_template`

**Use template course for new courses**

Set this to use the same template course (identified by its course numeric ID in the database) for all new courses that will be created on the platform. Please note that, if not properly planned, this setting might have a massive impact on space usage. The template course will be used as if the teacher did a copy of the course with the course backup tools, so no user content is copied, only teacher material. All other course-backup rules apply. Leave empty (or set to 0) to disable.

### `course_creation_user_course_extra_field_relation_to_prefill`

**Prefill course fields with fields from user**

If not empty, the course creation process will look for some fields in the user profile and auto-fill them for the course. For example, a teacher specialized in digital marketing could automatically set a « digital marketing » flag on each course (s)he creates.

### `course_hide_tools`

**Hide tools from teachers**

Check the tools you want to hide from teachers. This will prohibit access to the tool.

### `course_images_in_courses_list`

**Courses custom icons**

Use course images as the course icon in courses lists (instead of the default green blackboard icon).

*Default: `true`*

### `course_log_default_extra_fields`

**User extra fields by default in course stats page**

Configure this array with the internal IDs of the extra fields you want to show by default in the main course stats page.

### `course_log_hide_columns`

**Hide columns from course logs**

This array gives you the possibility to configure which columns to hide in the main course stats page and in the total time report.

### `course_sequence_valid_only_in_same_session`

**Validate prerequisites only within the same session**

When enabled, a course will be considered validated only if passed within the current session. If disabled, courses passed in other sessions will also unlock dependent courses.

*Default: `false`*

### `course_student_info`

**Course student info display**

On the ‘My courses’/’My sessions’ pages, show additional information regarding the score, progress and/or certificate acquisition by the student.

### `course_validation`

**Courses validation**

When the 'Courses validation' feature is enabled, a teacher is not able to create a course alone. He/she fills a course request. The platform administrator reviews the request and approves it or rejects it.\
This feature relies on automated e-mail messaging; set Chamilo to access an e-mail server and to use a dedicated an e-mail account.

*Default: `false`*

### `course_validation_terms_and_conditions_url`

**Course validation - a link to the terms and conditions**

This is the URL to the 'Terms and Conditions' document that is valid for making a course request. If the address is set here, the user should read and agree with these terms and conditions before sending a course request.\
If you enable Chamilo's 'Terms and Conditions' module and if you want its URL to be used, then leave this setting empty.

### `courses_default_creation_visibility`

**Default course visibility**

Default course visibility while creating a new course

*Default: `2`*

### `display_coursecode_in_courselist`

**Display Code in Course name**

Display Course Code in courses list

*Default: `false`*

### `display_teacher_in_courselist`

**Display teacher in course name**

Display teacher in courses list

*Default: `true`*

### `enable_tool_introduction`

**Enable tool introduction**

Enable introductions on each tool's homepage

*Default: `false`*

### `enable_unsubscribe_button_on_my_course_page`

**Show unsubscribe button in ‘My courses’**

Add a button to unsubscribe from a course on the ‘My courses’ page.

*Default: `false`*

### `example_material_course_creation`

**Example material on course creation**

Create example material automatically when creating a new course

*Default: `true`*

### `hide_course_rating`

**Hide course rating**

The course rating feature comes by default in different places. If you don’t want it, enable this option.

*Default: `false`*

### `hide_course_sidebar`

**Hide courses block in the sidebar**

When on screens where the left menu is visible, do not display the « Courses » section.

*Default: `true`*

### `multiple_access_url_show_shared_course_marker`

**Show multi-URL shared course marker**

Adds a link icon to courses that are shared between URLs, so users (in particular teachers) know they have to take special care when editing the course content.

*Default: `false`*

### `my_courses_show_courses_in_user_language_only`

**Only show courses in the user’s language**

If enabled, this option will hide all courses not set in the user’s language.

*Default: `false`*

### `profiling_filter_adding_users`

**Filter users on profile fields on subscription to course**

Allow teachers to filter the users based on extra fields on the page to subscribe users to their course.

*Default: `false`*

### `resource_sequence_show_dependency_in_course_intro`

**Show dependencies in course intro**

When using resources sequencing with courses or sessions, show the dependencies of the course on the course’s homepage.

*Default: `false`*

### `scorm_cumulative_session_time`

**Cumulative session time for SCORM**

When enabled, the session time for SCORM Learning Paths will be cumulative, otherwise, it will only be counted from the last update time. This is a global setting. It is used when creating a new Learning Path but can then be redefined for each one.

*Default: `true`*

### `send_email_to_admin_when_create_course`

**E-mail alert on course creation**

Send an email to the platform administrator each time a teacher creates a new course

*Default: `false`*

### `show_course_duration`

**Show courses duration**

Display the course duration next to the course title in the course catalogue and the courses list.

*Default: `false`*

### `show_navigation_menu`

**Display course navigation menu**

Display a navigation menu that quickens access to the tools

*Default: `false`*

### `show_toolshortcuts`

**Tools shortcuts**

Show the tool shortcuts in the banner?

*Default: `false`*

### `student_view_enabled`

**Enable learner view**

Enable the learner view, which allows a teacher or admin to see a course as a learner would see it

*Default: `true`*

### `view_grid_courses`

**View courses in a grid layout**

View courses in a layout with several courses per line. Otherwise, the layout will show one course per line.

*Default: `true`*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/administration-guide/admin-guide/platform-settings/course-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
